# na_ontap_info – NetApp information gatherer

New in version 2.9.

- Synopsis

- Requirements

- Parameters

- Notes

- Examples

- Return Values

- Status

## Synopsis

- This module allows you to gather various information about ONTAP configuration

## Requirements

The below requirements are needed on the host that executes this module.

- A physical or virtual clustered Data ONTAP system. The modules support Data ONTAP 9.1 and onward

- Ansible 2.6

- Python2 netapp-lib (2017.10.30) or later. Install using ‘pip install netapp-lib’

- Python3 netapp-lib (2018.11.13) or later. Install using ‘pip install netapp-lib’

- To enable http on the cluster you must run the following commands ‘set -privilege advanced;’ ‘system services web modify -http-enabled true;’

- netapp_lib

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---

gather_subset
list

Default:
"all"

When supplied, this argument will restrict the information collected to a given subset. Possible values for this argument include "aggregate_info", "cluster_node_info", "igroup_info", "lun_info", "net_dns_info", "net_ifgrp_info", "net_interface_info", "net_port_info", "nvme_info", "nvme_interface_info", "nvme_namespace_info", "nvme_subsystem_info", "ontap_version", "qos_adaptive_policy_info", "qos_policy_info", "security_key_manager_key_info", "security_login_account_info", "storage_failover_info", "volume_info", "vserver_info", "vserver_login_banner_info", "vserver_motd_info", "vserver_nfs_info" Can specify a list of values to include a larger subset. Values can also be used with an initial `!` to specify that a specific subset should not be collected.
nvme is supported with ONTAP 9.4 onwards.
use "help" to get a list of supported information for your system.

hostname string / required |  | The hostname or IP address of the ONTAP instance.
http_port integer |  | Override the default port (80 or 443) with this port

https
boolean

Choices:
- no ←
- yes

Enable and disable https

ontapi integer |  | The ontap api version to use
password string / required |  | Password for the specified user. aliases: pass

state
string

Choices:
- info ←

Returns "info"

use_rest
string

Choices:
- Never
- Always
- Auto ←

REST API if supported by the target system for all the resources and attributes the module requires. Otherwise will revert to ZAPI.
Always -- will always use the REST API
Never -- will always use the ZAPI
Auto -- will try to use the REST Api

username string / required |  | This can be a Cluster-scoped or SVM-scoped account, depending on whether a Cluster-level or SVM-level API is required. For more information, please read the documentation https://mysupport.netapp.com/NOW/download/software/nmsdk/9.4/. aliases: user

validate_certs
boolean

Choices:
- no
- yes ←

If set to `no`, the SSL certificates will not be validated.
This should only set to `False` used on personally controlled sites using self-signed certificates.

## Notes

Note

- The modules prefixed with na\_ontap are built to support the ONTAP storage platform.

## Examples

    - name: Get NetApp info (Password Authentication)
      na_ontap_info:
        state: info
        hostname: "na-vsim"
        username: "admin"
        password: "admins_password"
      register: ontap_info
    - debug:
        msg: "{{ ontap_info.ontap_info }}"

    - name: Limit Info Gathering to Aggregate Information
      na_ontap_info:
        state: info
        hostname: "na-vsim"
        username: "admin"
        password: "admins_password"
        gather_subset: "aggregate_info"
      register: ontap_info

    - name: Limit Info Gathering to Volume and Lun Information
      na_ontap_info:
        state: info
        hostname: "na-vsim"
        username: "admin"
        password: "admins_password"
        gather_subset:
          - volume_info
          - lun_info
      register: ontap_info

    - name: Gather all info except for volume and lun information
      na_ontap_info:
        state: info
        hostname: "na-vsim"
        username: "admin"
        password: "admins_password"
        gather_subset:
          - "!volume_info"
          - "!lun_info"
      register: ontap_info

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---

ontap_info
dictionary

always

Returns various information about NetApp cluster configuration
Sample:
{ "ontap_info": { "aggregate_info": {...}, "cluster_node_info": {...}, "net_dns_info": {...}, "net_ifgrp_info": {...}, "net_interface_info": {...}, "net_port_info": {...}, "security_key_manager_key_info": {...}, "security_login_account_info": {...}, "volume_info": {...}, "lun_info": {...}, "storage_failover_info": {...}, "vserver_login_banner_info": {...}, "vserver_motd_info": {...}, "vserver_info": {...}, "vserver_nfs_info": {...}, "ontap_version": {...}, "igroup_info": {...}, "qos_policy_info": {...}, "qos_adaptive_policy_info": {...} }

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by an Ansible Partner. [certified]

### Authors

- Piotr Olczak (@dprts) <polczak@redhat.com>

Hint

If you notice any issues in this documentation, you can edit this document to improve it.